# frozen_string_literal: true

module HS
  class Header < HS::Element
    attr_accessor :level

    def initialize(params)
      super
      @level ||= 1
    end

    def tag_name
      "h#{level}"
    end
  end
end
