# frozen_string_literal: true

module HS
  module ListInitializers
    private

    def initialize_ul(data)
      HS::Ul.new(get_params(data))
    end

    def initialize_ol(data)
      HS::Ol.new(get_params(data))
    end

    def initialize_li(data)
      HS::Li.new(get_params(data))
    end

    def initialize_dd(data)
      HS::Dd.new(get_params(data))
    end

    def initialize_dl(data)
      HS::Dl.new(get_params(data))
    end

    def initialize_dt(data)
      HS::Dt.new(get_params(data))
    end
  end
end
