# frozen_string_literal: true

module HS
  module OtherInitializers
    private

    def initialize_note(data)
      HS::Note.new(get_params(data))
    end

    def initialize_intro(data)
      HS::Intro.new(get_params(data))
    end

    def initialize_link(data)
      HS::Link.new(get_params(data, %i[to class_name style]))
    end

    def initialize_original(data)
      HS::Original.new(get_params(data))
    end

    def initialize_image(data)
      HS::Image.new(get_params(data, %i[src class_name style]))
    end
  end
end
