# frozen_string_literal: true

module HS
  module TableInitializers
    private

    def initialize_table(data)
      HS::Table.new(get_params(data))
    end

    def initialize_thead(data)
      HS::Thead.new(get_params(data))
    end

    def initialize_tbody(data)
      HS::Tbody.new(get_params(data))
    end

    def initialize_tr(data)
      HS::Tr.new(get_params(data))
    end

    def initialize_th(data)
      HS::Th.new(get_params(data))
    end

    def initialize_td(data)
      HS::Td.new(get_params(data))
    end
  end
end
