# frozen_string_literal: true

module HS
  class Code < HS::Element
    attr_accessor :lang

    def inline?
      lang.nil?
    end

    def tag_name
      inline? ? 'code' : 'pre'
    end

    def params
      params = super
      return params if inline?

      params.merge(lang: lang)
    end
  end
end
