# frozen_string_literal: true

require 'hs/preview/element_preview'

module HS
  class Text
    include ElementPreview

    attr_accessor :text

    def initialize(args)
      args.each do |key, val|
        instance_variable_set("@#{key}", val)
      end
    end

    def preview
      text_preview(text)
    end

    def preview_raw
      text
    end
  end
end
